Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.util
Class Enumerator

    java.lang.Object
      |
      +--org.apache.catalina.util.Enumerator

All Implemented Interfaces:
  java.util.Enumeration

public final class Enumerator
extends java.lang.Object
implements java.util.Enumeration

Adapter class that wraps an `Enumeration` around a Java2 collection classes object `Iterator` so that existing APIs returning Enumerations can easily run on top of the new collections. Constructors are provided to easliy create such wrappers.

Version:
  $Revision: 1.2 $ $Date: 2001/07/22 20:25:13 $
Author:
  Craig R. McClanahan

Constructor Summary
`Enumerator(java.util.Collection collection)` Return an Enumeration over the values of the specified Collection.
`Enumerator(java.util.Iterator iterator)` Return an Enumeration over the values returned by the specified Iterator.
`Enumerator(java.util.Map map)` Return an Enumeration over the values of the specified Map.

Method Summary
`boolean` | `hasMoreElements()` Tests if this enumeration contains more elements.
`java.lang.Object` | `nextElement()` Returns the next element of this enumeration if this enumeration has at least one more element to provide.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Enumerator

    public Enumerator(java.util.Collection collection)

  Return an Enumeration over the values of the specified Collection.
  Parameters:
    `collection` - Collection whose values should be enumerated

### Enumerator

    public Enumerator(java.util.Iterator iterator)

  Return an Enumeration over the values returned by the specified Iterator.
  Parameters:
    `iterator` - Iterator to be wrapped

### Enumerator

    public Enumerator(java.util.Map map)

  Return an Enumeration over the values of the specified Map.
  Parameters:
    `map` - Map whose values should be enumerated

Method Detail

### hasMoreElements

    public boolean hasMoreElements()

  Tests if this enumeration contains more elements.
  Specified by:
    `hasMoreElements` in interface `java.util.Enumeration`
  Returns:
    `true` if and only if this enumeration object contains at least one more element to provide, `false` otherwise

### nextElement

    public java.lang.Object nextElement()
                                 throws java.util.NoSuchElementException

  Returns the next element of this enumeration if this enumeration has at least one more element to provide.
  Specified by:
    `nextElement` in interface `java.util.Enumeration`
  Returns:
    the next element of this enumeration
  Throws:
    `java.util.NoSuchElementException` - if no more elements exist

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.